gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.UnicodeFuncsT

Contents

- Exported types
- Methods

Description

Data type containing a set of virtual methods used for accessing various Unicode character properties.

HarfBuzz provides a default function for each of the methods in `UnicodeFuncsT`. Client programs can implement their own replacements for the individual Unicode functions, as needed, and replace the default by calling the setter for a method.

Synopsis

- newtype UnicodeFuncsT = UnicodeFuncsT (ManagedPtr UnicodeFuncsT)

# Exported types

newtype UnicodeFuncsT Source #

Memory-managed wrapper type.

Constructors

UnicodeFuncsT (ManagedPtr UnicodeFuncsT) |

#### Instances

Instances details

Eq UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods (==) :: UnicodeFuncsT -> UnicodeFuncsT -> Bool Source # (/=) :: UnicodeFuncsT -> UnicodeFuncsT -> Bool Source #
GBoxed UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT
ManagedPtrNewtype UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods toManagedPtr :: UnicodeFuncsT -> ManagedPtr UnicodeFuncsT Source #
TypedObject UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods glibType :: IO GType Source #
HasParentTypes UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT
IsGValue (Maybe UnicodeFuncsT) Source # | Convert `UnicodeFuncsT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe UnicodeFuncsT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe UnicodeFuncsT) Source #
type ParentTypes UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT type ParentTypes UnicodeFuncsT = '[] :: [Type]

# Methods